Bug 53394 - Update ports:japanese/tdiary
Summary: Update ports:japanese/tdiary
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-17 05:30 UTC by jfkimura
Modified: 2013-03-17 02:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jfkimura 2003-06-17 05:30:12 UTC
 	Update ports: japanese/tdiary to 1.5.4_1
	   1. add 'www' category
	   2. Adjustment of Makefile and script

Fix: 

Fumihiko Kimura <jfkimura@yahoo.co.jp>--wQJ06rkmJ0lbwzEpXPbhbZVgcHByqEsDHodgN2KmU1UHoUGc
Content-Type: text/plain; name="patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="patch"

diff -urN /usr/ports/japanese/tdiary/Makefile /usr/ports/local/tdiary/Makefile
--- /usr/ports/japanese/tdiary/Makefile	Sun Jun  1 22:59:06 2003
+++ /usr/ports/local/tdiary/Makefile	Sun Jun 15 14:01:05 2003
@@ -2,15 +2,18 @@
 # Date created:                 21 May 2003
 # Whom:                         Fumihiko Kimura <jfkimura@yahoo.co.jp>
 #
-# $FreeBSD: ports/japanese/tdiary/Makefile,v 1.1 2003/06/01 13:59:06 yoichi Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	tdiary
 PORTVERSION=	1.5.4
-CATEGORIES=	japanese ruby
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+PORTREVISION=	1
+CATEGORIES=	japanese ruby www
+MASTER_SITES=	\
+		${MASTER_SITE_SOURCEFORGE} \
+		http://www.tdiary.org/download/
 MASTER_SITE_SUBDIR=	sourceforge/${PORTNAME}
-DISTNAME=	${PORTNAME}-full-${PORTVERSION:R}.${PORTVERSION:E}
+DISTNAME=	${PORTNAME}-full-${PORTVERSION}
 
 MAINTAINER=	jfkimura@yahoo.co.jp
 COMMENT=	A Web-based diary system (like weblog) written in Ruby
@@ -27,7 +30,7 @@
 
 TDIARYDIR=	${PREFIX}/share/examples/${PORTNAME}
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}.${PORTVERSION:E}
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 pre-everything::
 	@${ECHO_MSG}
@@ -43,9 +46,9 @@
 do-install:
 	@if [ -d ${TDIARYDIR} ]; then ${RM} -rf ${TDIARYDIR}; fi
 	${MKDIR} ${TDIARYDIR}
-	${SED} -e 's,@@@@PREFIX@@@@,${PREFIX},g' \
-	${FILESDIR}/tdiary-FreeBSD.sh.in > ${TDIARYDIR}/tdiary-FreeBSD.sh
-	${CHMOD} ugo=rx ${TDIARYDIR}/tdiary-FreeBSD.sh
+	@${SED} -e 's,@@@@PREFIX@@@@,${PREFIX},g' \
+		${FILESDIR}/tdiary-FreeBSD.sh.in > ${TDIARYDIR}/tdiary-FreeBSD.sh
+	@${CHMOD} ugo=rx ${TDIARYDIR}/tdiary-FreeBSD.sh
 	${CP} -pR ${WRKSRC}/ ${TDIARYDIR}
 .if defined(WITH_TDIARY_UCONV)
 	${INSTALL_DATA} ${WRKSRC}/misc/plugin/output_rdf.rb ${TDIARYDIR}/plugin
@@ -56,14 +59,14 @@
 	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${TDIARYDIR}
 
 post-install:
-	@cd ${WRKSRC} && ${FIND} . -type f -o -type l | ${SED} 's,^\.,share/examples/${PORTNAME},' | sort >> ${TMPPLIST}
+	@cd ${WRKSRC} && ${FIND} . -type f -o -type l | ${SED} -e 's,^\.,share/examples/${PORTNAME},' >> ${TMPPLIST}
 .if defined(WITH_TDIARY_UCONV)
-	@cd ${WRKSRC} && ${ECHO} 'share/examples/${PORTNAME}/plugin/output_rdf.rb' >> ${TMPPLIST}
+	@${ECHO} 'share/examples/${PORTNAME}/plugin/output_rdf.rb' >> ${TMPPLIST}
 .endif
 .if defined(WITH_TDIARY_NORA)
-	@cd ${WRKSRC} && ${ECHO} 'share/examples/${PORTNAME}/plugin/disp_referrer.rb' >> ${TMPPLIST}
+	@${ECHO} 'share/examples/${PORTNAME}/plugin/disp_referrer.rb' >> ${TMPPLIST}
 .endif
-	@cd ${WRKSRC} && ${FIND} . -type d -depth | ${SED} 's,^\.,@dirrm share/examples/${PORTNAME},' >> ${TMPPLIST}
-	@${CAT} ${PKGMESSAGE}
+	@cd ${WRKSRC} && ${FIND} . -type d -depth  | ${SED} -e 's,^\.,@dirrm share/examples/${PORTNAME},' >> ${TMPPLIST}
+	@${SED} -e "s,@@@@PREFIX@@@@,${PREFIX},g" ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -urN /usr/ports/japanese/tdiary/files/tdiary-FreeBSD.sh.in /usr/ports/local/tdiary/files/tdiary-FreeBSD.sh.in
--- /usr/ports/japanese/tdiary/files/tdiary-FreeBSD.sh.in	Sun Jun  1 22:59:06 2003
+++ /usr/ports/local/tdiary/files/tdiary-FreeBSD.sh.in	Sun Jun 15 13:51:36 2003
@@ -2,7 +2,7 @@
 #
 # tdiary-FreeBSD.sh - tDiary user directory copy script
 #
-# $FreeBSD: ports/japanese/tdiary/files/tdiary-FreeBSD.sh.in,v 1.1 2003/06/01 13:59:06 yoichi Exp $
+# $FreeBSD$
 #
 # usage:
 #        % /usr/local/share/examples/tdiary/tdiary-FreeBSD.sh install
@@ -56,10 +56,12 @@
 #	HOMEGRP=$GROUP
 #	HOMEDIR=$HOME
 	echo "HOME Directory : " ${HOMEDIR}
+	USERNAME=$USER
 	;;
 *)
 	echo "HOME Directory : " ${HOMEDIR}	
 	echo "USERNAME       : " ${USERNAME}
+	USERNAME=$USER
 	;;
 esac
 
@@ -88,7 +90,7 @@
 		echo "Copy tDiary ..." ${EXAMPLES}/tdiary/
 		echo "            to " ${HOMEDIR}/${PUBLICHTML}/${DIARYDIR}/
 		cp -pR ${EXAMPLES}/tdiary/ ${HOMEDIR}/${PUBLICHTML}/${DIARYDIR}/
-		chown -R ${HOMEOWN}:${HOMEGRP} ${HOMEDIR}/${PUBLICHTML}/
+		chown -R ${HOMEOWN}:${HOMEGRP} ${HOMEDIR}/${PUBLICHTML}/${DIARYDIR}/
 		chmod o+rwx ${HOMEDIR}/${PUBLICHTML}/${DIARYDIR}
 		echo "Done"
 		if [ -e ${HOMEDIR}/${PUBLICHTML}/${DIARYDIR}/tdiary.conf ]; then
@@ -128,6 +130,10 @@
 	exit 1 
 fi
 echo ""
+echo ""
+echo "***"
+echo "You have to execute the following commands:"
+echo "      % /usr/local/sbin/htpasswd -c" ${HOMEDIR}/.htpasswd ${USERNAME}
 echo "" 
 echo "Be sure to read the ${HOMEDIR}/${PUBLICHTML}/${DIARYDIR}/README"
 echo "    file for additional information."
diff -urN /usr/ports/japanese/tdiary/pkg-message /usr/ports/local/tdiary/pkg-message
--- /usr/ports/japanese/tdiary/pkg-message	Sun Jun  1 22:59:06 2003
+++ /usr/ports/local/tdiary/pkg-message	Sun Jun 15 13:10:25 2003
@@ -1,14 +1,14 @@
+
 =============================================================
 There is a script to install tDiary in a user directory.
 This script should be run manually.
 
-  # cd ${PREFIX}/share/examples/tdiary
-  # ./tdiary-FreeBSD.sh USERid
+  # @@@@PREFIX@@@@/share/examples/tdiary/tdiary-FreeBSD.sh USERid
     or
-  % cd ${PREFIX}/share/examples/tdiary
-  % ./tdiary-FreeBSD.sh install
+  % @@@@PREFIX@@@@/share/examples/tdiary/tdiary-FreeBSD.sh install
 
 There is a document by English in the following directories.
   See ...
-  ${PREFIX}/share/examples/tdiary/misc/i18n/
+  @@@@PREFIX@@@@/share/examples/tdiary/misc/i18n/
 =============================================================
+
How-To-Repeat: 	There was a small bug, but a script of ports is revised
Comment 1 Daichi GOTO freebsd_committer 2003-06-17 14:20:39 UTC
State Changed
From-To: open->closed

Committed. Thanks! 

Update ports: japanese/tdiary to 1.5.4_1